<?php
namespace AkTest\Test;

use Ak\Test\AbstractTestCase;
use Ak\Test\ViewTestTrait;
use Ak\View\HelperPluginManager;
use Laminas\View\Helper\BasePath;
use Laminas\View\Helper\HelperInterface;

/**
 * Class ViewTestTrait
 *
 * @package AkTest\Test
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/test
 */
class ViewTestTraitTest extends AbstractTestCase
{
    use ViewTestTrait;

    public function testCanCreateHelperPluginManager()
    {
        $manager = $this->getHelperPluginManager();

        $this->assertInstanceOf(HelperPluginManager::class, $manager);
    }

    public function testCanCreateHelper()
    {
        $helper = $this->getHelper(BasePath::class);

        $this->assertInstanceOf(HelperInterface::class, $helper);
    }
}
